> ## Documentation Index
> Fetch the complete documentation index at: https://kapso-1adbad2d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List conversation assignments

> Returns a list of assignments for a specific WhatsApp conversation



## OpenAPI

````yaml api/legacy/openapi-whatsapp.yaml get /whatsapp_conversations/{whatsapp_conversation_id}/conversation_assignments
openapi: 3.0.3
info:
  title: Kapso External API - WhatsApp API
  description: >-
    API for programmatically interacting with Kapso agents, executions, and
    WhatsApp conversations. This specification includes only WhatsApp API
    endpoints.
  version: 1.0.0
  contact:
    name: Kapso Support
servers:
  - url: https://app.kapso.ai/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /whatsapp_conversations/{whatsapp_conversation_id}/conversation_assignments:
    get:
      tags:
        - Conversation Assignments
      summary: List conversation assignments
      description: Returns a list of assignments for a specific WhatsApp conversation
      operationId: listConversationAssignments
      parameters:
        - name: whatsapp_conversation_id
          in: path
          required: true
          description: ID of the WhatsApp conversation
          schema:
            type: string
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: per_page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
      responses:
        '200':
          description: A list of conversation assignments
          headers:
            Total:
              schema:
                type: integer
              description: Total number of records
            Total-Pages:
              schema:
                type: integer
              description: Total number of pages
            Per-Page:
              schema:
                type: integer
              description: Number of items per page
            Page:
              schema:
                type: integer
              description: Current page number
            Link:
              schema:
                type: string
              description: Links to first, prev, next, and last pages
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ConversationAssignment'
                  meta:
                    type: object
                    properties:
                      page:
                        type: integer
                      per_page:
                        type: integer
                      total_pages:
                        type: integer
                      total_count:
                        type: integer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Conversation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ConversationAssignment:
      type: object
      properties:
        id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        active:
          type: boolean
        notes:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        created_by_user_id:
          type: string
          format: uuid
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: string
          example: Resource not found
        status:
          type: integer
          example: 404
        message:
          type: string
          example: The requested resource could not be found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key required for all endpoints

````